using Plots

theme(:ggplot2)

begin
    plot(cosd.(0:45), label = "Vertical Thrust", legend = :left)
    plot!(sind.(0:45), label = "Horizontal Thrust")
    vline!([25], label = "Pitch", line = (3, :dash))
    vline!([40], label = "Roll", line = (3, :dash))

    ylabel!("Percent of Thrust")
    xlabel!("Thruster Deflection")
    xticks!(0:5:45, string.(0:5:45) .* "°")
    yticks!(0:0.25:1, string.(0:25:100) .* "%")
    title!("Thrust at TVC Deflections")
end

savefig("TVCDef.png")
